org.apache.catalina.deploy

## Interface Injectable

All Known Implementing Classes:
  ContextEjb, ContextEnvironment, ContextHandler, ContextLocalEjb, ContextResource, ContextResourceEnvRef, ContextResourceLink, ContextService, MessageDestination, MessageDestinationRef, ResourceBase

    public interface Injectable

### Method Summary

Methods
`void` `addInjectionTarget(String injectionTargetName, String jndiName)`
`List<InjectionTarget>` `getInjectionTargets()`
`String` `getName()`

### Method Detail

#### getName

    String getName()

#### addInjectionTarget

    void addInjectionTarget(String injectionTargetName,
                          String jndiName)

#### getInjectionTargets

    List<InjectionTarget> getInjectionTargets()